@import "../../../core/variables";
@import "../../../core/mixins";

.card {
  display: inline-flex;
  border-radius: $border-radius-md;
  box-shadow: 0 0 0 1px $color-gray-600;
  min-width: 120px;
  min-height: 80px;
  cursor: pointer;
  background: $color-white;
  user-select: none;

  transition: box-shadow .3s ease, background .3s ease, opacity .3s ease;
  will-change: box-shadow, background, opacity;

  &.isDisabled {
    cursor: not-allowed;
    opacity: .6;
  }

  &:not(.isDisabled):not(.isActive) {
    &:hover,
    &:focus {
      box-shadow: 0 0 0 1px $color-gray-700;

      .icon {
        color: $color-gray-800;
      }
    }
  }
}

.isActive {
  box-shadow:
          0 0 0 1px $color-blue,
          0 5px 11px rgba(0, 123, 255, 0.1),
          0 2px 2px rgba(0, 0, 0, 0.06),
          0 2px 4px rgba(0, 123, 255, 0.0608866);
  background: $color-blue-lighter;

  @include colorize(Background, background-color);

  .icon {
    color: $color-blue;
  }

  .label {
    color: $color-blue;
  }

  .text {
    color: $color-blue;
  }
}

.content {
  width: 100%;
  display: grid;
  grid-gap: $indent-sm;
  padding: $indent-sm;
  position: relative;
}

.icon {
  color: $color-gray-700;
  margin: 0 auto;

  transition: color .3s ease;
}

.label {
  color: $color-gray-900;
  font-weight: $font-weight-medium;
  text-align: center;

  transition: color .3s ease;
}

.text {
  text-align: center;
  color: $color-green;

  transition: color .3s ease;
}

.logo {
  position: absolute;
  left: 10px;
  top: 10px;
  right: 10px;
  bottom: 10px;
  background: no-repeat center;
  background-size: contain;

  transition: background .3s ease;
}